ml.dmlc.xgboost4j.java.util

## Class BigDenseMatrix

- java.lang.Object
- - ml.dmlc.xgboost4j.java.util.BigDenseMatrix

-     public final class BigDenseMatrix
      extends Object

  Off-heap implementation of a Dense Matrix, matrix size is only limited by the amount of the available memory and the matrix dimension cannot exceed Integer.MAX_VALUE (this is consistent with XGBoost API restrictions on maximum length of a response).

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `long` | `address`
    `static long` | `MAX_MATRIX_SIZE`
    `int` | `ncol`
    `int` | `nrow`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BigDenseMatrix(int nrow, int ncol)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `dispose()`
    `float` | `get(int i, int j)`
    `float` | `get(long idx)`
    `static float` | `getDirect(long valAddress)`
    `void` | `set(int i, int j, float val)`
    `void` | `set(long idx, float val)`
    `static void` | `setDirect(long valAddress, float val)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### MAX_MATRIX_SIZE

          public static final long MAX_MATRIX_SIZE

      See Also:
        Constant Field Values

    - #### nrow

          public final int nrow

    - #### ncol

          public final int ncol

    - #### address

          public final long address

  - ### Constructor Detail

    - #### BigDenseMatrix

          public BigDenseMatrix(int nrow,
                                int ncol)

  - ### Method Detail

    - #### setDirect

          public static void setDirect(long valAddress,
                                       float val)

    - #### getDirect

          public static float getDirect(long valAddress)

    - #### set

          public final void set(long idx,
                                float val)

    - #### set

          public final void set(int i,
                                int j,
                                float val)

    - #### get

          public final float get(long idx)

    - #### get

          public final float get(int i,
                                 int j)

    - #### dispose

          public final void dispose()

Copyright © 2021. All rights reserved.